Package ru.bitel.bgbilling.kernel.script.common.bean

# Class GlobalScriptLink

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.script.common.bean.GlobalScriptLink

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class GlobalScriptLink extends IdTitle
Привязка глобального скрипта к динамическим Java-классам.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `GlobalScriptLink.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlobalScriptLink()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static GlobalScriptLink.Builder`
  `builder()`
  `String`
  `getClassName()`
  Имя
  `void`
  `setClassName(String className)`
  Имя класса, к которому привязан глобальный скрипт.

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### GlobalScriptLink

    public GlobalScriptLink()

- ## Method Details

  - ### setClassName

    public void setClassName(String className)
    Имя класса, к которому привязан глобальный скрипт.
    Parameters:
      `className` -

  - ### getClassName

    public String getClassName()
    Имя
    Returns:

  - ### builder

    public static GlobalScriptLink.Builder builder()